<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>Presensi</title>
</head>

<body>
    <div layout:fragment="main">
        <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
            <div class="container-fluid">
                <div class="header-body">
                    <!-- Card stats -->
                    <div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                            <span class="h2 font-weight-bold mb-0">Presensi</span>
                                        </div>
                                        <div class="col-auto">
                                            <div
                                                class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                                <i class="fas fa-user-astronaut"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <div class="container-fluid mt--7">
            <!-- Table -->
            <div class="row">
                <div class="col-xl-6 col-md-6 col-sm-12 col-xs-12">
                    <div class="card shadow">
                        <div class="card-header border-0">
                            <div class="row align-items-center">
                                <div class="col">
                                    <h3 class="mb-0">Form</h3>
                                </div>
                                <div class="col text-right">
                                    <a th:href="@{/studiesActivity/attendance/detail(jadwal=${sesikuliah.jadwal.id})}" class="btn btn-sm btn-default"><i class="fas fa-arrow-alt-circle-left"></i> Kembali</a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <form th:action="@{/studiesActivity/attendance/form}" method="post" th:object="${sesi}">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Pertemuan :</label>
                                            <input type="text" readonly class="form-control" th:field="*{pertemuan}">
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Detail Pertemuan :</label>
                                            <select name="detailPertemuan" th:field="*{detailPertemuan}" readonly
                                                class="form-control" th:if="${validPertemuan == null}">
                                                <option value="1">Attendance</option>
                                            </select>
                                            <select name="detailPertemuan" th:field="*{detailPertemuan}"
                                                class="form-control" th:if="${validPertemuan != null}">
                                                <option th:each="data : ${detailPertemuans}" th:text="${data.nama}"
                                                    th:value="${data.id}">
                                                    Offline</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div th:if="${sesi.pertemuan == 'Online' || sesi.pertemuan == 'Pengganti Online'}" class="row">
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <div class="form-group">
                                            <label>Link pertemuan online :</label>
                                            <textarea name="linkOnline" class="form-control" cols="30" rows="2" th:field="*{linkOnline}"></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Dosen :</label>
                                            <input type="text" class="form-control" readonly th:value="${sesi.dosen.karyawan.namaKaryawan}">
                                            <input type="hidden" name="dosen" th:field="*{dosen}">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Tanggal :</label>
                                            <input type="date" readonly th:field="*{tanggal}" name="tanggal"
                                                class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Jam Mulai :</label>
                                            <input type="text" th:field="*{jamMulaiString}" readonly required
                                                placeholder="07:00:00" max="8" name="jamMulaiString"
                                                class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Jam Selesai :</label>
                                            <input type="text" th:field="*{jamSelesaiString}" readonly required
                                                placeholder="09:30:00" name="jamSelesaiString"
                                                class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>RPS :</label>
                                            <textarea name="rps" th:field="*{rps}" class="form-control"
                                                      readonly disabled id=""></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Berita Acara :</label>
                                            <textarea name="beritaAcara" th:field="*{beritaAcara}" class="form-control"
                                                id=""></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Kegiatan :</label><br>
                                            <input type="checkbox" name="ceramah" id="ceramah" th:field="*{ceramah}" value="AKTIF">
                                            <label for="ceramah">Ceramah</label>&nbsp;&nbsp;&nbsp;
                                            <input type="checkbox" name="diskusi" id="diskusi" th:field="*{diskusi}" value="AKTIF">
                                            <label for="diskusi">Diskusi</label>&nbsp;&nbsp;&nbsp;
                                            <input type="checkbox" name="presentasi" id="presentasi" th:field="*{presentasi}" value="AKTIF">
                                            <label for="presentasi">Presentasi</label>&nbsp;&nbsp;&nbsp;
                                            <input type="checkbox" name="tanyajawab" id="tanyajawab" th:field="*{tanyajawab}" value="AKTIF">
                                            <label for="tanyajawab">Tanya Jawab</label>&nbsp;&nbsp;&nbsp;
                                            <input type="checkbox" name="kuis" id="kuis" th:field="*{kuis}" value="AKTIF">
                                            <label for="kuis">Kuis</label>&nbsp;&nbsp;&nbsp;
                                            <input type="checkbox" name="praktikum" id="praktikum" th:field="*{praktikum}" value="AKTIF">
                                            <label for="praktikum">Praktikum</label>
                                        </div>
                                    </div>
                                </div>
                                <input type="hidden" name="id" th:field="*{id}">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Simpan</button>
                                            <!--                                        <a href="" class="btn btn-danger">Batal</a>-->
                                        </div>
                                    </div>

                                </div>
                            </form>
                        </div>

                    </div>
                </div>
                <div class="col-xl-6 col-md-6 col-sm-12 col-xs-12">

                </div>
            </div>
        </div>
    </div>
</body>

</html>
<script>
    // $('#timePicker').datetimepicker({
    //     format: 'hh:mm:ss a'
    // });
</script>